Loading...
Searching...
No Matches
SHA1Context Struct Reference

`#include <coap_sha1_internal.h>`

## Data Fields

uint32_t | Intermediate_Hash [SHA1HashSize/4]
uint32_t | Length_Low
uint32_t | Length_High
int_least16_t | Message_Block_Index
uint8_t | Message_Block [64]
int | Computed
int | Corrupted

## Detailed Description

Definition at line 86 of file coap_sha1_internal.h.

## Field Documentation

## Computed

int SHA1Context::Computed

Definition at line 96 of file coap_sha1_internal.h.

## Corrupted

int SHA1Context::Corrupted

Definition at line 97 of file coap_sha1_internal.h.

## Intermediate_Hash

uint32_t SHA1Context::Intermediate_Hash[SHA1HashSize/4]

Definition at line 87 of file coap_sha1_internal.h.

## Length_High

uint32_t SHA1Context::Length_High

Definition at line 90 of file coap_sha1_internal.h.

## Length_Low

uint32_t SHA1Context::Length_Low

Definition at line 89 of file coap_sha1_internal.h.

## Message_Block

uint8_t SHA1Context::Message_Block[64]

Definition at line 94 of file coap_sha1_internal.h.

## Message_Block_Index

int_least16_t SHA1Context::Message_Block_Index

Definition at line 93 of file coap_sha1_internal.h.

The documentation for this struct was generated from the following file:

- coap_sha1_internal.h